Subject: bug#57974: 2022-08-30; Enhancing help facility for function doc string

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Sep 2022 13:13:54 +0200

Ikumi Keita <[email-masked]> writes:

> The function A behaves as if it were the function B by the nature of
> :override advice, so the doc string of A is almost useless. The actual
> behavior is described by the doc string of B.
>
> Unfortunately, when A is a mode function and has a long doc string,
> users can easily look over the line
> This function has :override advice: ‘func-B’.
> far downward in the *Help* buffer when they see the output of C-h m.
> That results in that they miss the "true" mode description provided by
> the doc string of B.
>
> Stephan suggested that such situation can be improved as
> ,----
> | Maybe the help facility should be more careful in how it builds the
> | docstring when a function has an `:override` advice, indeed.
> `----
> , in https://lists.gnu.org/r/auctex-devel/2022-09/msg00046.html

Right, makes sense.  But there can be more than one advice -- would
moving just the :overrides to the front of the doc string solve the
problem?